
package org.oasis_open.docs.ns.cmis.messaging._200901;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import org.oasis_open.docs.ns.cmis.core._200901.CmisAccessControlPermissionType;
import org.oasis_open.docs.ns.cmis.core._200901.CmisPermissionMappingType;
import org.oasis_open.docs.ns.cmis.core._200901.EnumACLsetType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="setType" type="{http://docs.oasis-open.org/ns/cmis/core/200901}enumACLsetType"/>
 *         &lt;element name="permissions" type="{http://docs.oasis-open.org/ns/cmis/core/200901}cmisAccessControlPermissionType" maxOccurs="unbounded"/>
 *         &lt;element name="mapping" type="{http://docs.oasis-open.org/ns/cmis/core/200901}cmisPermissionMappingType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "setType",
    "permissions",
    "mapping"
})
@XmlRootElement(name = "getACLCapabilitiesResponse")
public class GetACLCapabilitiesResponse {

    @XmlElement(required = true)
    protected EnumACLsetType setType;
    @XmlElement(required = true)
    protected List<CmisAccessControlPermissionType> permissions;
    protected List<CmisPermissionMappingType> mapping;

    /**
     * Gets the value of the setType property.
     * 
     * @return
     *     possible object is
     *     {@link EnumACLsetType }
     *     
     */
    public EnumACLsetType getSetType() {
        return setType;
    }

    /**
     * Sets the value of the setType property.
     * 
     * @param value
     *     allowed object is
     *     {@link EnumACLsetType }
     *     
     */
    public void setSetType(EnumACLsetType value) {
        this.setType = value;
    }

    /**
     * Gets the value of the permissions property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the permissions property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPermissions().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link CmisAccessControlPermissionType }
     * 
     * 
     */
    public List<CmisAccessControlPermissionType> getPermissions() {
        if (permissions == null) {
            permissions = new ArrayList<CmisAccessControlPermissionType>();
        }
        return this.permissions;
    }

    /**
     * Gets the value of the mapping property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the mapping property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getMapping().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link CmisPermissionMappingType }
     * 
     * 
     */
    public List<CmisPermissionMappingType> getMapping() {
        if (mapping == null) {
            mapping = new ArrayList<CmisPermissionMappingType>();
        }
        return this.mapping;
    }

}
